You are not logged in.

#3351 2011-11-09 06:42:56

soundman
Member
From: Istanbul, Turkey
Registered: 2010-06-05
Posts: 17

Re: The AMD/ATI Bar & Grill

@goofy03,
you're not alone. I have a HD4890.

Offline

#3352 2011-11-09 10:58:47

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: The AMD/ATI Bar & Grill

Try flashplugin-beta.
With the beta you can try in  /etc/adobe/mms.cfg

EnableLinuxHWVideoDecode=1
OverrideGPUValidation=1

But for me with HD 6550 and mesa git it crashes very often with that enabled.

But yes, flash still sucks extremely, especially 11.

Last edited by Cdh (2011-11-09 10:58:59)


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#3353 2011-11-09 17:53:09

buntolo
Member
Registered: 2011-10-11
Posts: 118

Re: The AMD/ATI Bar & Grill

Can't get arch to work with 5770.
openSUSE works fine, they're using the same xorg.conf, so the problem is in another place.

I've installed catalyst-total yesterday.
OS is fresh of installation and fully updated.

What should I look at?

Last edited by buntolo (2011-11-09 17:53:50)

Offline

#3354 2011-11-09 18:02:05

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 252

Re: The AMD/ATI Bar & Grill

after kernel upgrade

core/linux 3.1-4 [57,45 M] (base)
    The Linux Kernel and modules

I have no more X acceleration.. anyone have this problem too?

using catalyst && xorg110 repo

Last edited by Berseker (2011-11-09 18:02:25)

Offline

#3355 2011-11-09 19:01:58

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

important update

since 3.1-ARCH "all external modules should be installed in /lib/modules/extramodules-3.1-ARCH now":
http://comments.gmane.org/gmane.linux.arch.devel/16385

Also:
https://bbs.archlinux.org/viewtopic.php?id=129119

I've updated catalyst and catalyst-{daemon,firepro,generator,hook,total} on AUR, i tested it all and it's working fine for me, although i could miss something (im exhausted) so please write if there's a problem. And do it quickly because i will go asleep within 3 hours and i will be absent tomorrow...

BTW fglrx module is now gziped in both catalyst and catalyst-generator packages.

Repo will be updated soon.

Offline

#3356 2011-11-09 19:04:56

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 252

Re: The AMD/ATI Bar & Grill

yeah just solved by recompliing catalyst from AUR

Offline

#3357 2011-11-09 21:12:10

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

Ahhh... it's looking like i would have to change the logic of putting fglrx into extramodules dir (it's working but not as well as it should), but hell i don't have a time to do this now, so prepare for some update after tomorrow tongue

Offline

#3358 2011-11-09 21:20:02

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

Berseker wrote:

yeah just solved by recompliing catalyst from AUR

Tell me please which catalyst package you were using before you were unable to use X accel?

Offline

#3359 2011-11-10 03:59:53

damacas
Member
From: Ontario, Canada
Registered: 2011-05-27
Posts: 50

Re: The AMD/ATI Bar & Grill

I cannot seem to start X since the kernel upgrade to 3.1.0-4.  I was using 11.8 as KDE/X crashed whenever I resized a konsole window.  I tried compiling from 11.10 the AUR hoping it was the extramodules issue, however, it just hangs on a black screen with no way to shutdown X (ctrl-F1 doesn't have any effect). 

Any ideas?

Offline

#3360 2011-11-10 06:54:48

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 252

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
Berseker wrote:

yeah just solved by recompliing catalyst from AUR

Tell me please which catalyst package you were using before you were unable to use X accel?

I was using package from catalyst repo °(the "catalyst" one, since I'm using stock kernel), then I solved trying the same "catalyst" package directly from AUR (i suppose that in meantime you updated the aur PKGBUILD that allowed me to re-package the correct catalyst package

Last edited by Berseker (2011-11-10 06:55:29)

Offline

#3361 2011-11-10 20:15:09

WishCow
Member
Registered: 2011-01-31
Posts: 47

Re: The AMD/ATI Bar & Grill

-deleted-

Last edited by WishCow (2011-11-10 20:25:01)

Offline

#3362 2011-11-11 01:08:01

\〠/
Member
Registered: 2011-02-26
Posts: 29

Re: The AMD/ATI Bar & Grill

damacas wrote:

I cannot seem to start X since the kernel upgrade to 3.1.0-4.  I was using 11.8 as KDE/X crashed whenever I resized a konsole window.  I tried compiling from 11.10 the AUR hoping it was the extramodules issue, however, it just hangs on a black screen with no way to shutdown X (ctrl-F1 doesn't have any effect). 

Any ideas?

Change your kde graphicsystem to raster, I have the same issue with xrender.

Offline

#3363 2011-11-11 02:59:53

damacas
Member
From: Ontario, Canada
Registered: 2011-05-27
Posts: 50

Re: The AMD/ATI Bar & Grill

\〠/ wrote:

Change your kde graphicsystem to raster, I have the same issue with xrender.

Thanks for the lead, gave it a whirl, and after upgrading to 11.10 with the raster QT engine, KDM wouldn't start at all.  Back to 11.8, no problems.  So, should I stick with the 3.0.7 kernel for the forseeable future?

Offline

#3364 2011-11-11 03:36:31

no_originality
Member
Registered: 2010-08-31
Posts: 8

Re: The AMD/ATI Bar & Grill

sublimepua wrote:

I've got the new A6-3400m apu with the integrated 6520g, and sleep does not work for me at all. pm-utils, tuxonice, and the echo mem command all give my the same situation: the screen goes black with the backlight on and the fans kick up. a white line flickers across the screen until I hold down the power button to cut power. When I hit the power button again, I am left with a black screen. If I hold down the power button, it doesn't shut off. I have to remove the battery and charger to get it to boot back into the bios. On windows, sleep works fine. Rebooting and shutting down works fine too. Suspending to ram and hibernation both do not work. I am using the catalyst driver because the opensource one doesn't support the card yet.

I'm also using the same APU and card, how did you get Catalyst 11.10 to work? I'm on the opensource drivers and suspend doesn't seem to work properly.

Offline

#3365 2011-11-11 07:47:26

nemolivier
Member
Registered: 2010-09-24
Posts: 12

Re: The AMD/ATI Bar & Grill

Hum… strange.
After the 3.1 kernel update, my fglrx re-start working (check my later posts, 11.9 worked but 11.10 never) BEFORE updating the catalyst…
After the catalyst update, I still have a working card, but I still have the flickering screens sad

A locate fglrx give me thate :

locate fglrx.ko
/lib/modules/3.0-ARCH/video/fglrx.ko
/lib/modules/3.1.0-4-ARCH/video/fglrx.ko
/lib/modules/extramodules-3.1-ARCH/fglrx.ko

It’s look like I have two fglrx modules for 3.1… Is there something I can do to know witch module is used (lsmod don’t seems to give me that information)

[EDIT] after renaming /lib/modules/3.1.0-4-ARCH/video/fglrx.ko to bak_fglrx.ko and rebooting… no acceleration.
So it seems that 11.10 still don’t work on my Radeon HD 4350 (RV710).

Last edited by nemolivier (2011-11-11 08:14:44)

Offline

#3366 2011-11-11 09:34:54

ChemBro
Member
Registered: 2008-10-22
Posts: 673

Re: The AMD/ATI Bar & Grill

nemolivier wrote:

[EDIT] after renaming /lib/modules/3.1.0-4-ARCH/video/fglrx.ko to bak_fglrx.ko and rebooting… no acceleration.
So it seems that 11.10 still don’t work on my Radeon HD 4350 (RV710).

Or there is a problem with the new kernel version naming in Arch Linux. (the one in "extramodules" is the right one).

I'm still waiting for Vi0L0's okay to update.

Offline

#3367 2011-11-11 09:35:37

ChemBro
Member
Registered: 2008-10-22
Posts: 673

Re: The AMD/ATI Bar & Grill

nemolivier wrote:

[EDIT] after renaming /lib/modules/3.1.0-4-ARCH/video/fglrx.ko to bak_fglrx.ko and rebooting… no acceleration.
So it seems that 11.10 still don’t work on my Radeon HD 4350 (RV710).

Or there is a problem with the new kernel version naming in Arch Linux. (the one in "extramodules" is the right one, EDIT: or better should be).

I'm still waiting for Vi0L0's okay to update.

EDIT2: Dammit, clicked the wrong button. -_-

Last edited by ChemBro (2011-11-11 09:38:45)

Offline

#3368 2011-11-12 01:34:16

DarksideEE7
Member
From: Arkansas, United States
Registered: 2009-06-06
Posts: 356

Re: The AMD/ATI Bar & Grill

Vi0l0 are you currently using 11.10?  I know you experienced the same bug where X crashes upon resizing konsole as me....I'm still running Catalyst 11.8, kernel 3.0.6-2, and xorg-server 1.10.4-1.  I would like to go ahead and update what I can, but not if it breaks as badly as 11.9.

Offline

#3369 2011-11-12 01:48:44

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,300
Website

Re: The AMD/ATI Bar & Grill

Yup and abracadabra - there was another update, now to version -3, hope it will be fine now...

Like i said - i changed logic, and so from now on if there's extramodules dir in /lib/modules fglrx.ko module will land directly right into this extra dir.

Let's look at some code:

_kernver=`uname -r`

    for r in /lib/modules/*; do
      s=${r:13}
      if [[ ${s:0:3} = "ext" ]]; then
	if [[ `cat ${r}/version | grep -c ${_kernver}` != 0 ]]; then
	  _destidir=${s}
	fi
	elif [[ ${s} = ${_kernver} ]] && [[ ! -e ${r}/extramodules ]]; then
	  _destidir=${_kernver}/video
      fi
    done

    install -m755 -d "${pkgdir}/lib/modules/${_destidir}/" || return 1
    install -m644 fglrx.ko "${pkgdir}/lib/modules/${_destidir}/" || return 1

So it should to work with new extramodules dir and also with older kernel's style. The 's' variable is not actually needed here (it can be removed but then it has to be changed with modified 'r'), but i used it in generator (it is needed only there) from which i started update (i knew generator will be the hardest one so i begin with it) and then just copied it into other packages.

AUR and repo were updated.
Have fun


Oh and:

nemolivier wrote:

Hum… strange.
After the 3.1 kernel update, my fglrx re-start working (check my later posts, 11.9 worked but 11.10 never) BEFORE updating the catalyst…
After the catalyst update, I still have a working card, but I still have the flickering screens sad

A locate fglrx give me thate :

locate fglrx.ko
/lib/modules/3.0-ARCH/video/fglrx.ko
/lib/modules/3.1.0-4-ARCH/video/fglrx.ko
/lib/modules/extramodules-3.1-ARCH/fglrx.ko

It’s look like I have two fglrx modules for 3.1… Is there something I can do to know witch module is used (lsmod don’t seems to give me that information)

[EDIT] after renaming /lib/modules/3.1.0-4-ARCH/video/fglrx.ko to bak_fglrx.ko and rebooting… no acceleration.
So it seems that 11.10 still don’t work on my Radeon HD 4350 (RV710).

Yeah, guess you could experience this when using hook or daemon or total + `catalyst_build_module all` command hmm
Please as root type `catalyst_build_module remove_all`, then try to locate fglrx.ko, still there? remove manually and update to -3 version of 11.10

DarksideEE7 wrote:

Vi0l0 are you currently using 11.10?  I know you experienced the same bug where X crashes upon resizing konsole as me....I'm still running Catalyst 11.8, kernel 3.0.6-2, and xorg-server 1.10.4-1.  I would like to go ahead and update what I can, but not if it breaks as badly as 11.9.

Yes, i'm using 11.10 and had no problems with it so far.

Last edited by Vi0L0 (2011-11-12 02:30:06)

Offline

#3370 2011-11-12 02:00:46

nathan28
Member
Registered: 2011-05-18
Posts: 61

Re: The AMD/ATI Bar & Grill

sublimepua wrote:

pm-suspend just started working. I didn't update anything. This is creepy. Arch forum gods, thank you for your assistance.


I've got the same issue you described earlier--Did you change any settings? I upgraded to 11.10-2 Catalyst and the 3.1-4 kernel this AM with no success on the suspend front, but now hitting the power button doesn't bring up the backlight or the fans and the chips don't get hot--looks like only the LEDs up front light up, and I still have to remove the battery.


in the beginning was the switch operator

Offline

#3371 2011-11-12 02:02:28

DarksideEE7
Member
From: Arkansas, United States
Registered: 2009-06-06
Posts: 356

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

Yes, i'm using 11.10 and had no problems with it so far.

Excellent, then I'll add the 1.10 repo and try out the new catalyst and kernel.

Offline

#3372 2011-11-12 18:36:22

jjsullivan
Member
Registered: 2011-02-10
Posts: 19

Re: The AMD/ATI Bar & Grill

Hey guys, tad bit of a problem. After banging my head on the desk trying to figure out why the current version of xorg wasn't working with catalyst(then reading the wiki, doh!) I found there's a dependency conflict with xf86-input-evdev right now. I'm pretty sure it's because there was a recent update that requires a later version of the xorg xserver, but there's definitely some kind of conflict I can't solve.

[john@paviliondv6 ~]$ sudo pacman -S catalyst-utils catalyst-daemon lib32-catalyst-utils
Password: 
resolving dependencies...
warning: dependency cycle detected:
warning: xorg-server-catalyst-maximize-fix will be installed before its catalyst-utils dependency
looking for inter-conflicts...
:: xorg-server-catalyst-maximize-fix and xorg-server are in conflict. Remove xorg-server? [y/N] y
:: xorg-server-catalyst-maximize-fix and xorg-server-common are in conflict. Remove xorg-server-common? [y/N] y
:: catalyst-utils and libgl are in conflict. Remove libgl? [y/N] y
:: catalyst-daemon and xf86-video-ati are in conflict. Remove xf86-video-ati? [y/N] y
:: catalyst-daemon and ati-dri are in conflict. Remove ati-dri? [y/N] y
:: lib32-catalyst-utils and lib32-libgl are in conflict. Remove lib32-libgl? [y/N] y
:: xorg-server-catalyst-maximize-fix and xf86-input-evdev are in conflict (xorg-server<1.10.99.902). Remove xf86-input-evdev? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: xorg-server-catalyst-maximize-fix: requires xf86-input-evdev

Last edited by jjsullivan (2011-11-12 18:36:34)

Offline

#3373 2011-11-12 19:11:04

emily
Member
Registered: 2008-12-01
Posts: 48

Re: The AMD/ATI Bar & Grill

Yes, you need to fully downgrade xorg to 1.10 and have no packages above 1.10 installed at all. Cheers.

Offline

#3374 2011-11-12 19:50:09

jjsullivan
Member
Registered: 2011-02-10
Posts: 19

Re: The AMD/ATI Bar & Grill

emily wrote:

Yes, you need to fully downgrade xorg to 1.10 and have no packages above 1.10 installed at all. Cheers.

Thanks mate, a bit of an inconvenience but I can wait until catalyst is patched.

Until then, DESURA IS RELEASED! GAME TIME!

Last edited by jjsullivan (2011-11-12 19:51:14)

Offline

#3375 2011-11-12 21:33:25

ChemBro
Member
Registered: 2008-10-22
Posts: 673

Re: The AMD/ATI Bar & Grill

jjsullivan wrote:

Until then, DESURA IS RELEASED! GAME TIME!

This might be extremely off topic, but where is the news to that? As far as I know, the official statement is still closed beta.

Offline

Board footer

Powered by FluxBB